> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List resources

> Lists resources for a specific integration and resource type (kind) such as S3Bucket or CloudwatchLogGroup.



## OpenAPI

````yaml /reference/manage-vanta.json get /integrations/{integrationId}/resource-kinds/{resourceKind}/resources
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /integrations/{integrationId}/resource-kinds/{resourceKind}/resources:
    get:
      tags:
        - Integrations
      summary: List resources
      description: >-
        Lists resources for a specific integration and resource type (kind) such
        as S3Bucket or CloudwatchLogGroup.
      operationId: ListResources
      parameters:
        - description: Unique identifier of the integration.
          in: path
          name: integrationId
          required: true
          schema:
            type: string
        - description: Unique identifier of the integration resource type.
          in: path
          name: resourceKind
          required: true
          schema:
            type: string
        - description: Unique identifier of the integration connection.
          in: query
          name: connectionId
          required: false
          schema:
            type: string
        - description: >-
            Filter resources that have a description.

            If omitted, this will return resources both with and without a
            description.
          in: query
          name: hasDescription
          required: false
          schema:
            type: boolean
        - description: >-
            Filter resources that have an owner.

            If omitted, this will return resources both with and without an
            owner.
          in: query
          name: hasOwner
          required: false
          schema:
            type: boolean
        - description: |-
            Filter resources that are in scope.
            If omitted, this will return resources both in and out of scope.
          in: query
          name: isInScope
          required: false
          schema:
            type: boolean
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_AnyResource_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - responseType: Resource
                          resourceKind: AsanaTask
                          resourceId: 5e7400d77a8e3731ab2d5c8e
                          connectionId: 62ffd6793ef7978318baefa8
                          displayName: My Security Task
                          owner: null
                          inScope: true
                          description: null
                          creationDate: '2024-03-06T19:02:25.202Z'
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: YXBvbGxv
                        endCursor: YXBvbGxv
      security:
        - bearerAuth: []
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_AnyResource_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/AnyResource'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    AnyResource:
      anyOf:
        - $ref: '#/components/schemas/Resource'
        - $ref: '#/components/schemas/CloudInfrastructure'
        - $ref: '#/components/schemas/ContainerRepository'
        - $ref: '#/components/schemas/Database'
        - $ref: '#/components/schemas/Device'
        - $ref: '#/components/schemas/PaaS'
        - $ref: '#/components/schemas/Queue'
        - $ref: '#/components/schemas/StorageBucket'
        - $ref: '#/components/schemas/Account'
        - $ref: '#/components/schemas/AwsAccount'
        - $ref: '#/components/schemas/OrganizationSubunit'
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
    Resource:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
      type: object
      additionalProperties: false
    CloudInfrastructure:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        account:
          type: string
          description: Name of the account associated with the Resource
        region:
          type: string
          description: Region in which the Resource is located
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - account
        - region
      type: object
      additionalProperties: false
    ContainerRepository:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        account:
          type: string
          description: Name of the account associated with the Resource
        region:
          type: string
          description: Region in which the Resource is located
        isAutoscanEnabled:
          type: boolean
          nullable: true
          description: Whether autoscans have been enabled
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - account
        - region
        - isAutoscanEnabled
      type: object
      additionalProperties: false
    Database:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        account:
          type: string
          description: Name of the account associated with the Database
        areBackupsEnabled:
          type: boolean
          nullable: true
          description: Whether backups are enabled for the Database
        isEncrypted:
          type: boolean
          description: Whether the Database is encrypted
        containsEphi:
          type: boolean
          nullable: true
          description: Whether the Database contains Ephi
        containsUserData:
          type: boolean
          nullable: true
          description: Whether the Database contains user data
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - account
        - areBackupsEnabled
        - isEncrypted
        - containsEphi
        - containsUserData
      type: object
      additionalProperties: false
    Device:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        operatingSystemName:
          type: string
          description: Name of the operating system
        isEncrypted:
          type: boolean
          nullable: true
          description: Whether the Device is encrypted
        containsEphi:
          type: boolean
          nullable: true
          description: Whether the Device contains Ephi
        containsUserData:
          type: boolean
          nullable: true
          description: Whether the Device contains user data
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - operatingSystemName
        - isEncrypted
        - containsEphi
        - containsUserData
      type: object
      additionalProperties: false
    PaaS:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        containsEphi:
          type: boolean
          nullable: true
          description: Whether the PaaS contains Ephi
        containsUserData:
          type: boolean
          nullable: true
          description: Whether the PaaS contains user data
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - containsEphi
        - containsUserData
      type: object
      additionalProperties: false
    Queue:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        account:
          type: string
          description: Name of the account associated with the Resource
        region:
          type: string
          description: Region in which the Resource is located
        containsEphi:
          type: boolean
          nullable: true
          description: Whether the Queue contains Ephi
        containsUserData:
          type: boolean
          nullable: true
          description: Whether the Queue contains user data
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - account
        - region
        - containsEphi
        - containsUserData
      type: object
      additionalProperties: false
    StorageBucket:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        account:
          type: string
          description: Name of the account associated with the Resource
        region:
          type: string
          description: Region in which the Resource is located
        isEncrypted:
          type: boolean
          description: Whether the StorageBucket is encrypted
        containsEphi:
          type: boolean
          nullable: true
          description: Whether the StorageBucket contains Ephi
        containsUserData:
          type: boolean
          nullable: true
          description: Whether the StorageBucket contains user data
        isVersioned:
          type: boolean
          nullable: true
          description: Whether the StorageBucket is versioned
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - account
        - region
        - isEncrypted
        - containsEphi
        - containsUserData
        - isVersioned
      type: object
      additionalProperties: false
    Account:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        accountName:
          type: string
          description: Name associated with the Account
        roles:
          items:
            type: string
          type: array
          description: Any role(s) assigned to the Account
        groups:
          items:
            type: string
          type: array
          description: Any groups to which the Account belongs
        isDeactivated:
          type: boolean
          description: Whether the account has been deactivated/disabled/deleted.
        isMfaEnabled:
          type: boolean
          nullable: true
          description: Whether MFA has been enabled for the account.
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - accountName
        - roles
        - groups
        - isDeactivated
        - isMfaEnabled
      type: object
      additionalProperties: false
    AwsAccount:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        accountName:
          type: string
          description: Name associated with the Account
        roles:
          items:
            type: string
          type: array
          description: Any role(s) assigned to the Account
        groups:
          items:
            type: string
          type: array
          description: Any groups to which the Account belongs
        isDeactivated:
          type: boolean
          description: Whether the account has been deactivated/disabled/deleted.
        isMfaEnabled:
          type: boolean
          nullable: true
          description: Whether MFA has been enabled for the account.
        awsUserAccountId:
          type: string
          description: The AWS user account ID associated with the account
        awsAccountNumber:
          type: string
          description: >-
            AWS account number (12 digit number) that uniquely identifies your
            AWS account
        accessKeys:
          items:
            $ref: '#/components/schemas/AccessKeyInfo'
          type: array
          description: The list of access keys associated with the AWS account
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - accountName
        - roles
        - groups
        - isDeactivated
        - isMfaEnabled
        - awsUserAccountId
        - awsAccountNumber
        - accessKeys
      type: object
      additionalProperties: false
    OrganizationSubunit:
      properties:
        responseType:
          $ref: '#/components/schemas/ResourceResponseType'
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        resourceId:
          type: string
          description: The unique identifier for the Resource.
        connectionId:
          type: string
          nullable: true
          description: >-
            The unique identifier for the Connection used to ingest the Resource
            if it exists.
        displayName:
          type: string
          description: The Resource's display name.
        owner:
          type: string
          nullable: true
          description: The unique identifier for the owner of the resource in Vanta.
        inScope:
          type: boolean
          description: Whether the resource is in scope for audits.
        description:
          type: string
          nullable: true
          description: The description of the resource in Vanta.
        creationDate:
          type: string
          format: date-time
          description: When Vanta first ingested the Resource.
        deletedDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            When the resource was deleted/removed from the integration, if
            applicable.

            This field is only present when the resource has been deleted.
        accountId:
          type: string
          nullable: true
          description: >-
            Account ID corresponding to the subunit. Could be null if the
            subunit is not an account, e.g. a subscription
      required:
        - responseType
        - resourceKind
        - resourceId
        - connectionId
        - displayName
        - owner
        - inScope
        - description
        - creationDate
        - accountId
      type: object
      additionalProperties: false
    ResourceResponseType:
      enum:
        - Account
        - AutoScalingGroup
        - ClusterDeployment
        - ComputeInstance
        - ContainerCluster
        - ContainerRepository
        - Database
        - Device
        - GitRepository
        - KubernetesCluster
        - LoadBalancer
        - PaaS
        - Resource
        - Queue
        - ServerlessFunction
        - StorageBucket
      type: string
    AccessKeyInfo:
      properties:
        accessKeyId:
          type: string
          description: The access key ID
        status:
          type: string
          description: The status of the access key
      required:
        - accessKeyId
        - status
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````